Main Page Widgets Namespaces Book

# Gtk::TreeStore Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::TreeStore:

[legend]
List of all members.

## Public Member Functions

virtual | ~TreeStore ()
GtkTreeStore* | gobj ()
| Provides access to the underlying C GObject.
const GtkTreeStore* | gobj () const
| Provides access to the underlying C GObject.
GtkTreeStore* | gobj_copy ()
iterator | erase (const iterator& iter)
iterator | insert (const iterator& iter)
iterator | prepend ()
iterator | prepend (const TreeNodeChildren& node)
iterator | append ()
iterator | append (const TreeNodeChildren& node)
void | iter_swap (const iterator& a, const iterator& b)
| Swaps a and b in the same level of tree_store .
void | move (const iterator& source, const iterator& destination)
| Moves source to the position at destination.
void | reorder (const TreeNodeChildren& node, const Glib::ArrayHandle<int>& new_order)
| Reorders the children of node to follow the order indicated by new_order.
void | clear ()
| Removes all rows from tree_store.
bool | is_ancestor (const iterator& iter, const iterator& descendant) const
| Returns `true` if iter is an ancestor of descendant .
int | iter_depth (const iterator& iter) const
| Returns the depth of iter .
bool | iter_is_valid (const iterator& iter) const
| WARNING: This function is slow.

## Static Public Member Functions

Glib::RefPtr<TreeStore> | create (const TreeModelColumnRecord& columns)

## Protected Member Functions

| TreeStore (const TreeModelColumnRecord& columns)
virtual void | set_value_impl (const iterator& row, int column, const Glib::ValueBase& value)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::TreeStore> | wrap (GtkTreeStore* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::TreeStore::~TreeStore | ( |  | ) | `[virtual]`

Gtk::TreeStore::TreeStore | ( | const TreeModelColumnRecord& | columns | ) | `[explicit, protected]`

## Member Function Documentation

iterator Gtk::TreeStore::append | ( | const TreeNodeChildren& | node | ) |

iterator Gtk::TreeStore::append | ( |  | ) |

void Gtk::TreeStore::clear | ( |  | ) |

| Removes all rows from tree_store.

Glib::RefPtr<TreeStore> Gtk::TreeStore::create | ( | const TreeModelColumnRecord& | columns | ) | `[static]`

iterator Gtk::TreeStore::erase | ( | const iterator& | iter | ) |

const GtkTreeStore* Gtk::TreeStore::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Gtk::TreeDragDest.

GtkTreeStore* Gtk::TreeStore::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Gtk::TreeDragDest.

GtkTreeStore* Gtk::TreeStore::gobj_copy | ( |  | ) |

iterator Gtk::TreeStore::insert | ( | const iterator& | iter | ) |

bool Gtk::TreeStore::is_ancestor | ( | const iterator& | iter,
|  | const iterator& | descendant
| ) | const

Returns `true` if iter is an ancestor of descendant .

That is, iter is the parent (or grandparent or great-grandparent) of descendant .

Parameters:

  iter | A valid Gtk::TreeIter.
  descendant | A valid Gtk::TreeIter.

Returns:
  `true`, if iter is an ancestor of descendant .

int Gtk::TreeStore::iter_depth | ( | const iterator& | iter | ) | const

Returns the depth of iter .

This will be 0 for anything on the root level, 1 for anything down a level, etc.

Parameters:

  iter | A valid Gtk::TreeIter.

Returns:
  The depth of iter .

bool Gtk::TreeStore::iter_is_valid | ( | const iterator& | iter | ) | const

WARNING: This function is slow.

Only use it for debugging and/or testing purposes.

Checks if the given iter is a valid iter for this Gtk::TreeStore.

Parameters:

  iter | A Gtk::TreeIter.

Returns:
  `true` if the iter is valid, `false` if the iter is invalid.

Since: 2.2.

void Gtk::TreeStore::iter_swap | ( | const iterator& | a,
|  | const iterator& | b
| ) |

Swaps a and b in the same level of tree_store .

Note that this function only works with unsorted stores.

Since: 2.2

Parameters:

  a | A Gtk::TreeIter.
  b | Another Gtk::TreeIter.

void Gtk::TreeStore::move | ( | const iterator& | source,
|  | const iterator& | destination
| ) |

Moves source to the position at destination.

source and destination should be at the same level. Note that this function only works with unsorted stores.

Parameters:

  source | The row that should be moved.
  destination | The position to move to.

iterator Gtk::TreeStore::prepend | ( | const TreeNodeChildren& | node | ) |

iterator Gtk::TreeStore::prepend | ( |  | ) |

void Gtk::TreeStore::reorder | ( | const TreeNodeChildren& | node,
|  | const Glib::ArrayHandle<int>& | new_order
| ) |

| Reorders the children of node to follow the order indicated by new_order. Note that this function only works with unsorted stores.

virtual void Gtk::TreeStore::set_value_impl | ( | const iterator& | row,
|  | int | column,
|  | const Glib::ValueBase& | value
| ) | `[protected, virtual]`

| Reimplemented from Gtk::TreeModel.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::TreeStore> wrap | ( | GtkTreeStore* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- treestore.h